org.eclipse.viatra.query.patternlanguage.ui.contentassist

## Class PatternLanguageProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
    - - org.eclipse.xtext.xbase.ui.contentassist.AbstractXtypeProposalProvider
      - - org.eclipse.xtext.xbase.ui.contentassist.XtypeProposalProvider
        - - org.eclipse.xtext.xbase.ui.contentassist.AbstractXbaseProposalProvider
          - - org.eclipse.xtext.xbase.ui.contentassist.XbaseProposalProvider
            - - org.eclipse.viatra.query.patternlanguage.ui.contentassist.AbstractPatternLanguageProposalProvider
              - - org.eclipse.viatra.query.patternlanguage.ui.contentassist.PatternLanguageProposalProvider

- All Implemented Interfaces:
    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory, org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider, org.eclipse.xtext.ui.editor.contentassist.RepeatedContentAssistProcessor.ModeAware
  Direct Known Subclasses:
    AbstractEMFPatternLanguageProposalProvider

      public class PatternLanguageProposalProvider
      extends AbstractPatternLanguageProposalProvider

  see http://www.eclipse.org/Xtext/documentation/latest/xtext.html#contentAssist on how to customize content assistant

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.xbase.ui.contentassist.XbaseProposalProvider

      `org.eclipse.xtext.xbase.ui.contentassist.XbaseProposalProvider.ProposalBracketInfo, org.eclipse.xtext.xbase.ui.contentassist.XbaseProposalProvider.ValidFeatureDescription`

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

      `org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

      `org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.xtext.xbase.ui.contentassist.XbaseProposalProvider

      `DESCRIPTION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternLanguageProposalProvider()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complete_Annotation(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_AnnotationParameter(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `complete_VariableReference(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completeAggregatedValue_Aggregator(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `void` | `completePatternCall_PatternRef(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`
    `protected void` | `createLocalVariableAndImplicitProposals(org.eclipse.emf.ecore.EObject context, org.eclipse.xtext.xbase.typesystem.IExpressionScope.Anchor anchor, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext contentAssistContext, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.ui.contentassist.AbstractPatternLanguageProposalProvider

      `complete_AggregatedValue, complete_AnnotationValueReference, complete_BoolValue, complete_CheckConstraint, complete_CompareConstraint, complete_CompareFeature, complete_ComputationValue, complete_Constraint, complete_ExecutionType, complete_ExecutionTypeModifier, complete_Expression, complete_FunctionEvaluationValue, complete_JavaType, complete_ListValue, complete_LiteralValueReference, complete_LocalVariable, complete_Modifiers, complete_NumberValue, complete_Parameter, complete_ParameterDirection, complete_ParameterDirectionModifier, complete_ParameterRef, complete_PathExpressionConstraint, complete_PathExpressionHead, complete_PathExpressionTail, complete_Pattern, complete_PatternBody, complete_PatternCall, complete_PatternCompositionConstraint, complete_PatternModel, complete_RefType, complete_StringValue, complete_Type, complete_TypeCheckConstraint, complete_ValueReference, complete_Variable, complete_VariableValue, completeAggregatedValue_Call, completeAnnotation_Name, completeAnnotation_Parameters, completeAnnotationParameter_Name, completeAnnotationParameter_Value, completeBoolValue_Value, completeCheckConstraint_Expression, completeCompareConstraint_Feature, completeCompareConstraint_LeftOperand, completeCompareConstraint_RightOperand, completeFunctionEvaluationValue_Expression, completeJavaType_ClassRef, completeListValue_Values, completeLocalVariable_Name, completeLocalVariable_Type, completeModifiers_Execution, completeModifiers_Private, completeNumberValue_Value, completeParameter_Direction, completeParameter_Name, completeParameter_Type, completeParameterRef_Name, completeParameterRef_ReferredParam, completeParameterRef_Type, completePathExpressionConstraint_Head, completePathExpressionHead_Dst, completePathExpressionHead_Src, completePathExpressionHead_Tail, completePathExpressionHead_Type, completePathExpressionTail_Tail, completePathExpressionTail_Type, completePattern_Annotations, completePattern_Bodies, completePattern_Modifiers, completePattern_Name, completePattern_Parameters, completePatternBody_Constraints, completePatternBody_Name, completePatternCall_Parameters, completePatternCall_Transitive, completePatternCompositionConstraint_Call, completePatternCompositionConstraint_Negative, completePatternModel_PackageName, completePatternModel_Patterns, completeRefType_Typename, completeStringValue_Value, completeType_Typename, completeTypeCheckConstraint_Type, completeTypeCheckConstraint_Var, completeVariable_Name, completeVariable_Type, completeVariableReference_Aggregator, completeVariableReference_Var, completeVariableValue_Value`

    - ### Methods inherited from class org.eclipse.xtext.xbase.ui.contentassist.XbaseProposalProvider

      `complete_XExpression, completeBinaryOperationFeature, completeJavaTypes, completeJavaTypes, completeJavaTypes, completeJavaTypes, completeJvmParameterizedTypeReference_Type, completeKeyword, completeWithinBlock, completeXAdditiveExpression_Feature, completeXAndExpression_Feature, completeXAssignment_Feature, completeXBasicForLoopExpression_EachExpression, completeXBasicForLoopExpression_Expression, completeXBasicForLoopExpression_InitExpressions, completeXBasicForLoopExpression_UpdateExpressions, completeXBlockExpression_Expressions, completeXCasePart_Case, completeXCasePart_Then, completeXCatchClause_Expression, completeXClosure_Expression, completeXConstructorCall_Constructor, completeXEqualityExpression_Feature, completeXExpressionInClosure_Expressions, completeXFeatureCall_Feature, completeXForLoopExpression_EachExpression, completeXForLoopExpression_ForExpression, completeXImportDeclaration_ImportedType, completeXMemberFeatureCall_Feature, completeXMultiplicativeExpression_Feature, completeXOrExpression_Feature, completeXOtherOperatorExpression_Feature, completeXPostfixOperation_Feature, completeXRelationalExpression_Feature, completeXRelationalExpression_Type, completeXShortClosure_Expression, completeXSwitchExpression_Default, completeXTypeLiteral_Type, completeXUnaryOperation_Feature, completeXVariableDeclaration_Right, createLocalVariableAndImplicitProposals, createReceiverProposals, createVisibilityFilter, createVisibilityFilter, doNotProposeFeatureOfBinaryOperation, filterByConcreteSyntax, getConcreteSyntaxRuleName, getConcreteSyntaxRuleName, getConcreteSyntaxRuleName, getCrossReferenceProposalCreator, getFeatureCallRuleName, getFeatureDescriptionPredicate, getNextCategory, getProposalBracketInfo, getProposalFactory, getQualifiedNameValueConverter, getTypesProposalProvider, getXbaseCrossReferenceProposalCreator, isExplicitOperationCall, isIdRule, isInMemberFeatureCall, isKeywordWorthyToPropose, isKeywordWorthyToPropose, isLastMode, isOperatorRule, isParentOf, lookupCrossReference, nextMode, proposeDeclaringTypeForStaticInvocation, reset`

    - ### Methods inherited from class org.eclipse.xtext.xbase.ui.contentassist.AbstractXbaseProposalProvider

      `complete_DECIMAL, complete_FeatureCallID, complete_FullJvmFormalParameter, complete_HEX, complete_IdOrSuper, complete_INT, complete_JvmFormalParameter, complete_Number, complete_OpAdd, complete_OpAnd, complete_OpCompare, complete_OpEquality, complete_OpMulti, complete_OpMultiAssign, complete_OpOr, complete_OpOther, complete_OpPostfix, complete_OpSingleAssign, complete_OpUnary, complete_StaticQualifier, complete_XAdditiveExpression, complete_XAndExpression, complete_XAssignment, complete_XBasicForLoopExpression, complete_XBlockExpression, complete_XBooleanLiteral, complete_XCasePart, complete_XCastedExpression, complete_XCatchClause, complete_XClosure, complete_XCollectionLiteral, complete_XConstructorCall, complete_XDoWhileExpression, complete_XEqualityExpression, complete_XExpressionInClosure, complete_XExpressionOrVarDeclaration, complete_XFeatureCall, complete_XForLoopExpression, complete_XIfExpression, complete_XListLiteral, complete_XLiteral, complete_XMemberFeatureCall, complete_XMultiplicativeExpression, complete_XNullLiteral, complete_XNumberLiteral, complete_XOrExpression, complete_XOtherOperatorExpression, complete_XParenthesizedExpression, complete_XPostfixOperation, complete_XPrimaryExpression, complete_XRelationalExpression, complete_XReturnExpression, complete_XSetLiteral, complete_XShortClosure, complete_XStringLiteral, complete_XSwitchExpression, complete_XSynchronizedExpression, complete_XThrowExpression, complete_XTryCatchFinallyExpression, complete_XTypeLiteral, complete_XUnaryOperation, complete_XVariableDeclaration, complete_XWhileExpression, completeFullJvmFormalParameter_Name, completeFullJvmFormalParameter_ParameterType, completeJvmFormalParameter_Name, completeJvmFormalParameter_ParameterType, completeXAdditiveExpression_RightOperand, completeXAndExpression_RightOperand, completeXAssignment_RightOperand, completeXAssignment_Value, completeXBooleanLiteral_IsTrue, completeXCasePart_FallThrough, completeXCasePart_TypeGuard, completeXCastedExpression_Type, completeXCatchClause_DeclaredParam, completeXClosure_DeclaredFormalParameters, completeXClosure_ExplicitSyntax, completeXConstructorCall_Arguments, completeXConstructorCall_ExplicitConstructorCall, completeXConstructorCall_TypeArguments, completeXDoWhileExpression_Body, completeXDoWhileExpression_Predicate, completeXEqualityExpression_RightOperand, completeXFeatureCall_ExplicitOperationCall, completeXFeatureCall_FeatureCallArguments, completeXFeatureCall_TypeArguments, completeXForLoopExpression_DeclaredParam, completeXIfExpression_Else, completeXIfExpression_If, completeXIfExpression_Then, completeXListLiteral_Elements, completeXMemberFeatureCall_ExplicitOperationCall, completeXMemberFeatureCall_ExplicitStatic, completeXMemberFeatureCall_MemberCallArguments, completeXMemberFeatureCall_NullSafe, completeXMemberFeatureCall_TypeArguments, completeXMemberFeatureCall_Value, completeXMultiplicativeExpression_RightOperand, completeXNumberLiteral_Value, completeXOrExpression_RightOperand, completeXOtherOperatorExpression_RightOperand, completeXRelationalExpression_RightOperand, completeXReturnExpression_Expression, completeXSetLiteral_Elements, completeXShortClosure_DeclaredFormalParameters, completeXShortClosure_ExplicitSyntax, completeXStringLiteral_Value, completeXSwitchExpression_Cases, completeXSwitchExpression_DeclaredParam, completeXSwitchExpression_Switch, completeXSynchronizedExpression_Expression, completeXSynchronizedExpression_Param, completeXThrowExpression_Expression, completeXTryCatchFinallyExpression_CatchClauses, completeXTryCatchFinallyExpression_Expression, completeXTryCatchFinallyExpression_FinallyExpression, completeXTypeLiteral_ArrayDimensions, completeXUnaryOperation_Operand, completeXVariableDeclaration_Name, completeXVariableDeclaration_Type, completeXVariableDeclaration_Writeable, completeXWhileExpression_Body, completeXWhileExpression_Predicate`

    - ### Methods inherited from class org.eclipse.xtext.xbase.ui.contentassist.XtypeProposalProvider

      `appendParameters, completeXImportDeclaration_MemberName, getStyledDisplayString, getTypeConverter`

    - ### Methods inherited from class org.eclipse.xtext.xbase.ui.contentassist.AbstractXtypeProposalProvider

      `complete_ANY_OTHER, complete_ArrayBrackets, complete_ID, complete_JvmArgumentTypeReference, complete_JvmLowerBound, complete_JvmLowerBoundAnded, complete_JvmParameterizedTypeReference, complete_JvmTypeParameter, complete_JvmTypeReference, complete_JvmUpperBound, complete_JvmUpperBoundAnded, complete_JvmWildcardTypeReference, complete_ML_COMMENT, complete_QualifiedName, complete_QualifiedNameInStaticImport, complete_QualifiedNameWithWildcard, complete_SL_COMMENT, complete_STRING, complete_ValidID, complete_WS, complete_XFunctionTypeRef, complete_XImportDeclaration, complete_XImportSection, completeJvmLowerBound_TypeReference, completeJvmLowerBoundAnded_TypeReference, completeJvmParameterizedTypeReference_Arguments, completeJvmTypeParameter_Constraints, completeJvmTypeParameter_Name, completeJvmUpperBound_TypeReference, completeJvmUpperBoundAnded_TypeReference, completeJvmWildcardTypeReference_Constraints, completeXFunctionTypeRef_ParamTypes, completeXFunctionTypeRef_ReturnType, completeXImportDeclaration_Extension, completeXImportDeclaration_ImportedNamespace, completeXImportDeclaration_Static, completeXImportDeclaration_Wildcard, completeXImportSection_ImportDeclarations`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

      `announceProcessing, completeAssignment, completeRuleCall, createProposals, getHover, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

      `createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, createSelector, doCreateProposal, doCreateProposal, getConflictHelper, getDisplayString, getImage, getImage, getKeywordDisplayString, getLabelProvider, getPriorityHelper, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, isValidProposal, setConflictHelper, setLabelProvider, setPriorityHelper, setValueConverter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternLanguageProposalProvider

          public PatternLanguageProposalProvider()

  - ### Method Detail

    - #### complete_Annotation

          public void complete_Annotation(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.RuleCall ruleCall,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

      Overrides:
        `complete_Annotation` in class `AbstractPatternLanguageProposalProvider`

    - #### complete_AnnotationParameter

          public void complete_AnnotationParameter(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.RuleCall ruleCall,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

      Overrides:
        `complete_AnnotationParameter` in class `AbstractPatternLanguageProposalProvider`

    - #### complete_VariableReference

          public void complete_VariableReference(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.RuleCall ruleCall,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

      Overrides:
        `complete_VariableReference` in class `AbstractPatternLanguageProposalProvider`

    - #### createLocalVariableAndImplicitProposals

          protected void createLocalVariableAndImplicitProposals(org.eclipse.emf.ecore.EObject context,
                                                                 org.eclipse.xtext.xbase.typesystem.IExpressionScope.Anchor anchor,
                                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext contentAssistContext,
                                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

      Overrides:
        `createLocalVariableAndImplicitProposals` in class `org.eclipse.xtext.xbase.ui.contentassist.XbaseProposalProvider`

    - #### completePatternCall_PatternRef

          public void completePatternCall_PatternRef(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

      Overrides:
        `completePatternCall_PatternRef` in class `AbstractPatternLanguageProposalProvider`
      Since:
        1.4

    - #### completeAggregatedValue_Aggregator

          public void completeAggregatedValue_Aggregator(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

      Overrides:
        `completeAggregatedValue_Aggregator` in class `AbstractPatternLanguageProposalProvider`
      Since:
        1.4